### Method

# WebKit2 WebsiteDataManager get_offline_application_cache_directory

since: 2.10

#### Declaration [src]

    const gchar*
    webkit_website_data_manager_get_offline_application_cache_directory (
      WebKitWebsiteDataManager* manager
    )

#### Description [src]

Get the `WebKitWebsiteDataManager:offline-application-cache-directory` property.

Available since: 2.10

Gets property | `WebKit2.WebsiteDataManager:offline-application-cache-directory`

#### Return value

Type: `const gchar*`

The directory where offline web application cache is stored or `NULL` if `manager` is ephemeral.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.